<template>
  <div>
    <v-row justify="center">
      <v-col cols="4" align="center">
        <p>
          Repeat the last full run.
        </p>
        <p>
          Press the <i>Edit</i> button to change the parameters
        </p>
      </v-col>
      <v-col cols="4" justify="center" align="center">
        <Editor :json.sync="lastRun" />
      </v-col>
    </v-row>
  </div>
</template>

<script>
import { experiment } from "@/plugins/experiment.js";
import Editor from "./Editor";

export default {
  name: "LastRunPresets",
  components: {
    Editor,
  },
  data: () => ({}),
  computed: {
    lastRun: {
      get() {
        return this.$store.getters["status/last_run"];
      },
      set(value) {
        this.$store.dispatch("status/setLastRun", value);
      },
    },
  },
  methods: {
    pickPreset() {
      this.$axios
        .post("/presets", {
          configuration: this.lastRun,
        })
        .then((res) => {
          let preset_loaded = res.data.result;
          if (preset_loaded) {
            experiment.init(res.data.loops);
            this.$notify.success("Last run preset loaded!");
          } else {
            this.$notify.error("Error while loading last run preset");
          }
        })
        .catch(() => {
          this.$notify.error("Error while saving settings");
        });
    },
  },
};
</script>

<style scoped>
.v-text-field input {
  font-size: 1.2em;
}
</style>